using System;
using System.Collections;
using Server.Items;
using Server.Targeting;
using Server.Network;

namespace Server.Mobiles
{
	[CorpseName( "a pile of stone" )]
	public class StoneStatue : BaseCreature
	{
		[Constructable]
		public StoneStatue() : base( AIType.AI_Melee, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Name = "a living statue";
			Body = 133;
			BaseSoundID = 0x10C;
			AnimationMod = 3;

			SetStr( 156, 185 );
			SetDex( 76, 95 );
			SetInt( 31, 62 );

			SetHits( 106, 123 );

			SetDamage( 15, 22 );

			SetSkill( SkillName.MagicResist, 50.1, 95.0 );
			SetSkill( SkillName.Tactics, 60.1, 100.0 );
			SetSkill( SkillName.HandToHand, 60.1, 100.0 );

			Fame = 5500;
			Karma = -5500;

			VirtualArmor = 42;
		}

		public override void OnDeath( Container c )
		{
			base.OnDeath( c );

			Item ore = new IronOre( Utility.RandomMinMax( 5, 10 ) );
			ore.ItemID = 0x19B7;
   			c.DropItem(ore);
		}

		public override void GenerateLoot()
		{
			AddLoot( LootPack.Average );
			AddLoot( LootPack.Rich );
			AddLoot( LootPack.Gems, 2 );
		}

		public override bool BleedImmune{ get{ return true; } }
		public override bool BardImmune { get { return true; } }
		public override bool Unprovokable { get { return true; } }
		public override Poison PoisonImmune{ get{ return Poison.Lethal; } }

		public override void CheckReflect( Mobile caster, ref bool reflect )
		{
			reflect = true;
		}

		public StoneStatue( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}